Loading...
Searching...
No Matches
QGpgME::SetPrimaryUserIDJob Class Referenceabstract
Inheritance diagram for QGpgME::SetPrimaryUserIDJob:
[legend]
Collaboration diagram for QGpgME::SetPrimaryUserIDJob:
[legend]

## Signals

void | result (const GpgME::Error &error, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

| SetPrimaryUserIDJob (QObject *parent)
virtual GpgME::Error | start (const GpgME::UserID &userId)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## start()

virtual GpgME::Error QGpgME::SetPrimaryUserIDJob::start | ( | const GpgME::UserID & | userId | ) |

pure virtual

Starts setting user ID userId as the primary user ID.

Implemented in QGpgME::QGpgMESetPrimaryUserIDJob.

The documentation for this class was generated from the following files:

- setprimaryuseridjob.h
- setprimaryuseridjob.cpp